<h1 style="text-align: center;"*ngIf="!visble" (click)="visble = true">Signup</h1>


<div class="container">
    <div  *ngIf="visble" class="row">
      <div class="col-md-6 mx-auto">
        <form [formGroup]="signupForm" (ngSubmit)="onSubmit()">
            <label>
              First Name:
              <input type="text" formControlName="firstName">
              <div *ngIf="signupForm.get('firstName')!.invalid && (signupForm.get('firstName')!.dirty || signupForm.get('firstName')!.touched)">
                <div *ngIf="signupForm.get('firstName')!.errors!['required']">First Name is required.</div>
              </div>
            </label>
            <label>
              Last Name:
              <input type="text" formControlName="lastName">
              <div *ngIf="signupForm.get('lastName')!.invalid && (signupForm.get('lastName')!.dirty || signupForm.get('lastName')!.touched)">
                <div *ngIf="signupForm.get('lastName')!.errors!['required']">Last Name is required.</div>
              </div>
            </label>
            <label>
              Email:
              <input type="email" formControlName="email">
              <div *ngIf="signupForm.get('email')!.invalid && (signupForm.get('email')!.dirty || signupForm.get('email')!.touched)">
                <div *ngIf="signupForm.get('email')!.errors!['required']">Email is required.</div>
                <div *ngIf="signupForm.get('email')!.errors!['email']">Email must be a valid email address.</div>
              </div>
            </label>
            <label>
              Address:
              <input type="text" formControlName="address">
              <div *ngIf="signupForm.get('address')!.invalid && (signupForm.get('address')!.dirty || signupForm.get('address')!.touched)">
                <div *ngIf="signupForm.get('address')!.errors!['required']">Address is required.</div>
              </div>
            </label>
            <button type="submit" >Submit</button>
            <button type="submit"(click)="onCancel()">Cancel</button>
          </form>
          
      </div>
    </div>
</div>
